> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trade History



## OpenAPI

````yaml Wallet get /{walletId}/tradeHistory
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /{walletId}/tradeHistory:
    get:
      tags:
        - Order
      summary: Get Trade History
      operationId: OrderController_getTradeHistory
      parameters:
        - name: tenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: time
          in: query
          required: true
          style: form
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Get Trade History
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradeHistoryDto'
      security:
        - default: []
components:
  schemas:
    TradeHistoryDto:
      required:
        - date
        - executed
        - fee
        - id
        - pair
        - price
        - side
        - total
      type: object
      properties:
        id:
          type: string
        date:
          type: string
          format: date-time
        pair:
          type: string
        side:
          type: string
          enum:
            - buy
            - sell
            - deposit
            - withdraw
            - transfer
            - suspend
            - reverse
        price:
          type: string
        executed:
          type: string
        fee:
          type: string
        total:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````